.image-fit {
    object-fit: cover;
    height: 100%;
    width: 100%;
}

.side-image-fit {
    object-fit: cover;
    height: 100%;
}

.checkbox-image {
    object-fit: cover;
    height: 500px;
    width: 100%;
}

.image-max-height-100 {
    height: 100px;
    object-fit: cover;
}

.image-max-height {
    height: 200px;
    object-fit: cover;
}

.img-glow {
    filter: drop-shadow(0 0 15px rgba(255, 255, 255, 0.3));
}

.padding-x-0, .padding-x-0 .row {
    padding-left: 0;
    padding-right: 0;
}

.padding-y-0 {
    padding: 0;
}

.padding-header {
    padding: var(--spacing-32) var(--spacing-16);
}

.padding-default {
    padding: var(--spacing-48);
}

.padding-y-default {
    padding: var(--spacing-48) 0;
}

.padding-x-default {
    padding: 0 var(--spacing-48);
}

.padding-footer {
    padding: var(--spacing-112) var(--spacing-16) var(--spacing-48) var(--spacing-16);
}

.remove-padding-left {
    padding-left: 0 !important;
}

/*BACKGROUNDS*/
.bg-pattern-vici {
    background-color: var(--color-gray-100);
    background-image: linear-gradient(rgba(255,255,255,0.5), rgba(255,255,255,0.5)), url("/images/vici-pattern.svg");
    background-repeat: repeat;
    background-position: 0 0;
    background-size: 600px 600px;
}

.bg-pattern-vicivision {
    background-color: var(--color-green-950);
    background-image: url("/images/vicivision.com/vici-arrow-white.svg"), url("/images/vicivision.com/vici-arrow-white.svg");
    background-repeat: repeat;
    background-position: 0 0, 50px 50px;
    background-size: 100px 100px;
}

.bg-gray {
    background-color: var(--color-gray-100);
}

.bg-gray-200 {
    background-color: var(--color-gray-200);
}

.bg-green {
    background-color: var(--color-green-900);
}

.bg-green-200 {
    background-color: var(--color-green-200);
}

.bg-green-350 {
    background-color: var(--color-green-350);
}

.bg-green-600 {
    background-color: var(--color-green-600);
}

.bg-green-750 {
    background-color: var(--color-green-750);
}

.bg-green-800 {
    background-color: var(--color-green-800);
}

.bg-green-950 {
    background-color: var(--color-green-950);
}

.bg-white-glass {
    background: rgba(255, 255, 255, 0.8);
    box-shadow: 0 4px 30px rgba(0, 0, 0, 0.1);
    backdrop-filter: blur(8.4px);
    -webkit-backdrop-filter: blur(8.4px);
    border: 1px solid rgba(255, 255, 255, 0.27);
}

.bg-green-glass {
    background: rgba(0, 155, 62, 0.8);
    box-shadow: 0 4px 30px rgba(0, 0, 0, 0.1);
    backdrop-filter: blur(8.4px);
    -webkit-backdrop-filter: blur(8.4px);
    border: 1px solid rgba(0, 155, 62, 0.27);
}

/* Applica il gradient all'immagine degli HERO */
.bg-with-gradient-and-image {
    background-image: linear-gradient(137deg, rgba(5, 29, 17, 0.6) 40%, rgba(0, 155, 62, 0.2) 100%), var(--bg-image);
}

/* Applica il gradient a tutte le altre immagini */
.img-with-gradient {
    position: relative;
    overflow: hidden;
}

    .img-with-gradient::after {
        content: "";
        position: absolute;
        width: 100%;
        height: 100%;
        background: linear-gradient(137deg, rgba(5, 29, 17, 0.3) 30%, rgba(0, 155, 62, 0.2) 100%);
        z-index: 1;
        pointer-events: none;
    }

    .img-with-gradient img {
        position: absolute;
        object-fit: cover;
        z-index: 0;
    }

    .img-with-gradient > :not(img) {
        position: relative;
        z-index: 2;
    }

/*HERO*/
.border-bottom-green {
    border-bottom: 10px solid var(--color-green-600);
}

.hero p {
    font-size: var(--size-24px);
}

.auto-padding {
    display: flex;
    flex-direction: column;
    padding-top: var(--main-padding);
    padding-bottom: var(--main-padding);
    gap: var(--main-padding);
}

.negative-margin-top {
    margin-top: calc(var(--main-padding) * -1);
}

.negative-margin-bottom {
    margin-bottom: calc(var(--main-padding) * -1);
}

.negative-margin-y {
    margin-top: calc(var(--main-padding) * -1);
    margin-bottom: calc(var(--main-padding) * -1);
}

.section-max-height {
    height: 550px;
}

.rotate-right {
    transform: rotate(90deg);
}

@media all and (min-width: 992px) {
    .padding-default {
        padding: var(--spacing-96);
    }

    .padding-y-default {
        padding: var(--spacing-96) 0;
    }

    .padding-heading-homepage {
        padding: 0 0 0 var(--spacing-80);
    }

    .max-width {
        max-width: 800px;
    }
}

@media all and (min-width: 1440px) {

    .max-width {
        max-width: 1200px;
    }

    .max-width-layout {
        max-width: 2560px;
        margin-left: auto;
        margin-right: auto;
    }
}